;;;; locale.scm
;;;; Kon Lovett, May '06

;; Issues
;;
;; - Only Posix for now.

(module locale

  (;export
    ;; locale-timezone
    local-timezone
    local-timezone-offset
    with-tzset
    ;; locale-builtin
    builtin-source-name builtin-source-name?
    unknown-timezone-name unknown-timezone-name?
    use-builtin-timezone
    use-builtin-locale
    use-builtin-language
    ;; locale-posix
    seconds->h:m:s-string
    make-posix-timezone
    posix-timezone-string->timezone-components
    posix-locale-string->locale-components
    gnu-language-string->locale-components
    posix-load-timezone
    posix-load-locale
    gnu-load-locale
    ;; locale-components
    ;
    make-locale-components
    locale-components?
    check-locale-components
    error-locale-components
    locale-components=?
    locale-component-ref
    locale-component-exists?
    set-locale-component!
    update-locale-components!
    ;
    make-timezone-components
    timezone-components?
    check-timezone-components
    error-timezone-components
    set-timezone-component!
    timezone-component-ref
    update-timezone-components!
    ;
    timezone-offset?
    check-timezone-offset
    error-timezone-offset
    ;
    make-timezone-dst-rule-julian-leap
    timezone-dst-rule-julian-leap?
    check-timezone-dst-rule-julian-leap-day
    error-timezone-dst-rule-julian-leap-day
    ;
    make-timezone-dst-rule-julian-noleap
    timezone-dst-rule-julian-noleap?
    check-timezone-dst-rule-julian-noleap-day
    error-timezone-dst-rule-julian-noleap-day
    ;
    timezone-dst-rule-julian?
    timezone-dst-rule-julian
    ;
    make-timezone-dst-rule-mwd
    timezone-dst-rule-mwd?
    check-timezone-dst-rule-mwd
    error-timezone-dst-rule-mwd
    check-timezone-dst-rule-mwd-day
    error-timezone-dst-rule-mwd-day
    check-timezone-dst-rule-mwd-week
    error-timezone-dst-rule-mwd-week
    check-timezone-dst-rule-mwd-month
    error-timezone-dst-rule-mwd-month
    timezone-components=?
    timezone-dst-rule-day
    timezone-dst-rule-month
    timezone-dst-rule-week
    ;
    timezone-dst-rule-offset
    ;; locale-categories
    make-locale-dictionary
    locale-dictionary?
    set-locale-dictionary-category!
    locale-dictionary-category
    current-locale-dictionary
    locale-category-ref
    set-locale-category!
    ;; locale-current
    current-timezone
    current-locale
    current-timezone-components
    current-locale-components
    locale-setup)

  (import chicken scheme)
  (require-extension
    locale-timezone locale-builtin locale-posix locale-components
    locale-categories locale-current)

) ;module locale
